package com.bjsxt.dao.impl;

import com.bjsxt.commons.JdbcUtils;
import com.bjsxt.dao.UserLoginDao;
import com.bjsxt.pojo.Users;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

/**
 * 接口实现类
 */
public class UserLoginDaoImpl implements UserLoginDao{
    /**
     * 用户登录的数据库查询
     * @param username
     * @param userpwd
     * @return
     */
    @Override
    public Users selectUserNameAndUserPwd(String username, String userpwd) {
        //定义user为空  在循环中new
        Users user = null;
        Connection conn = null;
        try {
            //获取conn
            conn= JdbcUtils.getConnection();
            //创建PreparedStatement
            PreparedStatement ps = conn.prepareStatement("select * from users where username = ? and userpwd = ?");
            //问号的绑定
            ps.setString(1,username);
            ps.setString(2,userpwd);
            //执行查询  返回resultSet
            ResultSet resultSet = ps.executeQuery();
            //从resultSet中取值
            while (resultSet.next()){
                //获取user对象
                user = new Users();
                user.setUsersex(resultSet.getString("usersex"));
                user.setUserpwd(resultSet.getString("userpwd"));
                user.setUsername(resultSet.getString("username"));
                user.setUserid(resultSet.getInt("userid"));
                user.setPhonenumber(resultSet.getString("phonenumber"));
                user.setQqnumber(resultSet.getString("qqnumber"));

            }
        }catch (Exception e){
            e.printStackTrace();
        }
        return user;
    }
}
